version: '3'
services:
  postgres:
    image: postgres:11
    volumes:
      - cyan-print-psql:/tmp
    environment:
      - COMPOSE_CONVERT_WINDOWS_PATHS=1
      - PGUSER=postgres
      - PGPASSWORD=super_secret
      - POSTGRES_DB=db
      - PGDATA=/tmp
  rails:
    depends_on:
      - 'postgres'
    image: $TEST_IMAGE_NAME
    command: "rake spec"
    ports:
      - 3001:3000
    links:
      - postgres:db
    environment:
      - COMPOSE_CONVERT_WINDPWS_PATHS=1
      - DB_PW=super_secret
      - RAILS_ENV=test
volumes:
  cyan-print-psql:
    external: true